Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop
Class TupleSerialization.SerializationElementReader

    java.lang.Object
      cascading.tuple.hadoop.TupleSerialization.SerializationElementReader

All Implemented Interfaces:
  TupleInputStream.ElementReader

Enclosing class:
  TupleSerialization

    public static class TupleSerialization.SerializationElementReader

extends Object
implements TupleInputStream.ElementReader

Constructor Summary
`TupleSerialization.SerializationElementReader(TupleSerialization tupleSerialization)` Constructor SerializationElementReader creates a new SerializationElementReader instance.

Method Summary
`void` | `close()`
`String` | `getClassNameFor(int token, DataInputStream inputStream)`
`Comparator` | `getComparatorFor(int token, DataInputStream inputStream)`
`Object` | `read(int token, DataInputStream inputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleSerialization.SerializationElementReader

    public TupleSerialization.SerializationElementReader(TupleSerialization tupleSerialization)

  Constructor SerializationElementReader creates a new SerializationElementReader instance.

  Parameters:
    `tupleSerialization` - of type TupleSerialization

Method Detail

### read

    public Object read(int token,
                       DataInputStream inputStream)
                throws IOException

  Specified by:
    `read` in interface `TupleInputStream.ElementReader`
  Throws:
    `IOException`

### getComparatorFor

    public Comparator getComparatorFor(int token,
                                       DataInputStream inputStream)
                                throws IOException

  Specified by:
    `getComparatorFor` in interface `TupleInputStream.ElementReader`
  Throws:
    `IOException`

### getClassNameFor

    public String getClassNameFor(int token,
                                  DataInputStream inputStream)
                           throws IOException

  Throws:
    `IOException`

### close

    public void close()

  Specified by:
    `close` in interface `TupleInputStream.ElementReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.